#!/usr/bin/env python
import marshal
import os
from assert_exists import assert_exists
from public import public

# # http://nedbatchelder.com/blog/200804/the_structure_of_pyc_files.html


def code(path):
    """return marshal.load(file)"""
    if os.path.exists(path):
        h = open(path, "rb")
        return marshal.load(h)


@public
def ispythoncompiled(path):
    """return True if file compiled"""
    if not path:
        return False
    if os.path.splitext(path)[1] == ".py":
        return False
    if path[-1] != "c":
        return False
    if os.path.splitext(path)[1] == ".pyc":
        return True
    assert_exists(path)
    try:
        code(path)
        return True
    except Exception:
        return False
